StatisticsServiceMBean (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.jmx
Interface StatisticsServiceMBean

All Superinterfaces:
  Statistics

All Known Implementing Classes:
  StatisticsService

Deprecated. See HHH-6190 for details

    @Deprecated
    public interface StatisticsServiceMBean

extends Statistics

MBean exposing Session Factory statistics

See Also:
  `Statistics`

Method Summary
`void` | `setSessionFactoryJNDIName(String sfJNDIName)` Deprecated. Publish the statistics of a session factory bound to the default JNDI context

Methods inherited from interface org.hibernate.stat.Statistics
`clear, getCloseStatementCount, getCollectionFetchCount, getCollectionLoadCount, getCollectionRecreateCount, getCollectionRemoveCount, getCollectionRoleNames, getCollectionStatistics, getCollectionUpdateCount, getConnectCount, getEntityDeleteCount, getEntityFetchCount, getEntityInsertCount, getEntityLoadCount, getEntityNames, getEntityStatistics, getEntityUpdateCount, getFlushCount, getNaturalIdCacheHitCount, getNaturalIdCacheMissCount, getNaturalIdCachePutCount, getNaturalIdCacheStatistics, getNaturalIdQueryExecutionCount, getNaturalIdQueryExecutionMaxTime, getNaturalIdQueryExecutionMaxTimeRegion, getOptimisticFailureCount, getPrepareStatementCount, getQueries, getQueryCacheHitCount, getQueryCacheMissCount, getQueryCachePutCount, getQueryExecutionCount, getQueryExecutionMaxTime, getQueryExecutionMaxTimeQueryString, getQueryStatistics, getSecondLevelCacheHitCount, getSecondLevelCacheMissCount, getSecondLevelCachePutCount, getSecondLevelCacheRegionNames, getSecondLevelCacheStatistics, getSessionCloseCount, getSessionOpenCount, getStartTime, getSuccessfulTransactionCount, getTransactionCount, getUpdateTimestampsCacheHitCount, getUpdateTimestampsCacheMissCount, getUpdateTimestampsCachePutCount, isStatisticsEnabled, logSummary, setStatisticsEnabled`

Method Detail

### setSessionFactoryJNDIName

    void setSessionFactoryJNDIName(String sfJNDIName)

  Deprecated.
  Publish the statistics of a session factory bound to the default JNDI context

  Parameters:
    `sfJNDIName` - session factory jndi name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.